/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-09-03 15:00
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<ll, ll> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
// const ll MOD = 998'244'353;
const ll MAXN = 2e5 + 5;
const ll INF = 1LL << 60;

// from reference
ll gcdex(ll a, ll b, ll &x, ll &y){
  if(a == 0) return x = 0, y = 1, b;
  ll x1, y1, g = gcdex(b % a, a, x1, y1);
  return x = y1 - b / a * x1, y = x1, g;
}
ll inverse(ll a, ll m){
  ll x, y, g = gcdex(a, m, x, y);
  if(g != 1) return -1;
  return (x % m + m) % m;
}


const ll MOD = 998'244'353;
struct FF {
  ll v;
  FF() : v(0){}
  FF(ll v) : v((v % MOD + MOD) % MOD){}
};
FF operator+(const FF &a, const FF &b){ return FF(a.v + b.v); }
FF operator-(const FF &a, const FF &b){ return FF(a.v - b.v); }
FF operator*(const FF &a, const FF &b){ return FF(a.v * b.v); }
FF operator/(const FF &a, const FF &b){ return a * FF(inverse(b.v, MOD)); }
FF &operator+=(FF &a, const FF &b){ return a.v = (a + b).v, a; }
FF &operator-=(FF &a, const FF &b){ return a.v = (a - b).v, a; }
FF &operator*=(FF &a, const FF &b){ return a.v = (a * b).v, a; }
FF &operator/=(FF &a, const FF &b){ return a.v = (a / b).v, a; }
// FF& operator+=(FF &a, const FF &b){ a.v += b.v; a.v %= MOD; return a; }
// FF& operator-=(FF &a, const FF &b){ a.v += MOD - b.v; a.v %= MOD; return a; }
// FF& operator*=(FF &a, const FF &b){ a.v *= b.v; a.v %= MOD; return a; }
// FF& operator/=(FF &a, const FF &b){ a.v *= inverse(b.v, MOD); a.v %= MOD; return a; }
// from reference


vector<pii> edges[MAXN];
vector<ll> used(MAXN);
vector<FF> zeros(MAXN), ones(MAXN), invs(MAXN);

void show(int x){
    fprintf(stderr, "Showing: %d === zeros: %lld, ones: %lld and invs: %lld\n", x, zeros[x].v, ones[x].v, invs[x].v);
}

void dfs(int u){
    used[u] = 1;
    for(auto[v, num] : edges[u]){
        /* show(u); */
        if(not used[v]) dfs(v);

        if(num) ones[u] += FF(1);
        else zeros[u] += FF(1), invs[u] +=ones[u];

        invs[u] += ones[u] * zeros[v];
        zeros[u] += zeros[v];
        ones[u] += ones[v];
        invs[u] += invs[v];
    }
    /* show(u); */
}

ll N;

void solve(){
    // Code goes here ...
    cin >> N;

    int num, v, x;
    R(i, N){
        cin >> num;
        R(j, num){
            cin >> v >> x;
            edges[i + 1].emplace_back(v, x);
        }
    }

    dfs(1);
    // show(1);

    cout << invs[1].v << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    solve();

    return 0;
}
        
